> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Campaign Status

Updates the status of a campaign. Use this to pause, resume, complete, or cancel a campaign.

## Status Transitions

* `ACTIVE` --> `PAUSED`, `COMPLETED`, `CANCELLED`
* `PAUSED` --> `ACTIVE`, `COMPLETED`, `CANCELLED`
* `COMPLETED` --> (terminal - no further transitions)
* `CANCELLED` --> (terminal - no further transitions)


## OpenAPI

````yaml openapi/communications-campaigns/update-campaign-status.json PATCH /campaigns/{campaign_id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Communications Campaigns
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - public-api-key: []
    private-secret-key: []
paths:
  /campaigns/{campaign_id}:
    patch:
      operationId: patch_campaigns-campaign-id
      parameters:
        - in: path
          name: campaign_id
          schema:
            type: string
          required: true
          description: The campaign identifier (UUID).
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                status:
                  type: string
                  description: New status for the campaign.
                  enum:
                    - ACTIVE
                    - PAUSED
                    - COMPLETED
                    - CANCELLED
              required:
                - status
            examples:
              Example:
                summary: Example
                value:
                  status: PAUSED
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                      name:
                        type: string
                        example: Declined Payment Recovery - Colombia
                      status:
                        type: string
                        example: PAUSED
                      updated_at:
                        type: string
                        example: '2025-07-15T10:00:00Z'
              examples:
                OK:
                  summary: OK
                  value:
                    data:
                      id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
                      name: Declined Payment Recovery - Colombia
                      status: PAUSED
                      updated_at: '2025-07-15T10:00:00Z'
          description: ''
components:
  securitySchemes:
    public-api-key:
      type: apiKey
      in: header
      name: public-api-key
    private-secret-key:
      type: apiKey
      in: header
      name: private-secret-key

````